// Copyright 2019 Drone.IO Inc. All rights reserved.
// Use of this source code is governed by the Drone Non-Commercial License
// that can be found in the LICENSE file.

//go:build !linux
// +build !linux

package plugin

import (
	"errors"

	"git.awesome-for.me/liuzhiguo/drone-runtime/engine"
)

// Symbol the symbol name used to lookup the plugin provider value.
const Symbol = "Engine"

// Open returns a Engine dynamically loaded from a plugin.
func Open(path string) (engine.Engine, error) {
	panic(
		errors.New("unsupported operating system"),
	)
}
